@charset "UTF-8";

/**按鈕樣式**/
[class^="c-bt"] {
    display: flex;
    align-items: center;
    align-content: center;
    justify-items: flex-start;
    justify-content: space-between;
    margin: 0;
    font-size: 17px;
    line-height: 1.2;
    font-family: 'NotoSansTC-M';
    background: #15171b;
    border: none;
    border-radius: 5px;
    color: #fff;
    padding: 25px 30px;
    cursor: pointer;
    outline: none;
    overflow: hidden;
}

[class^="c-bt"]::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    display: block;
    width: 100%;
    height: 100%;
    background: linear-gradient(to right, #24cbd3 0%, #0bbac2 100%);
    opacity: 0;
    transition: opacity .4s ease-in-out;
}

[class^="c-bt"].disable {
    filter: grayscale(1);
    pointer-events: none;
}

[class^="c-bt"] input[type="submit"],
[class^="c-bt"] button,
[class^="c-bt"] span {
    display: block;
    width: auto;
    font-size: inherit;
    line-height: inherit;
    color: inherit;
    cursor: pointer;
}

[class^="c-bt"] input[type="submit"],
[class^="c-bt"] button {
    border: none;
    background: none;
    padding: 0;
}

[class^="c-bt"] input[type="file"] {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    opacity: 0;
    pointer-events: none;
}

[class^="c-bt"] button {
    width: 100%;
    text-align: center;
}

/**顏色樣式**/
[class^="c-bt"][class*="-green"] {
    background: linear-gradient(to bottom, #24cbd3 0%, #0bbac2 100%);
    transition: box-shadow .4s ease-in-out;
}

[class^="c-bt"][class*="-green"]::before {
    display: none;
}

[class^="c-bt"][class*="-green"]:hover {
    box-shadow: 2px 2px 4px rgba(44, 48, 67, .2);
}

[class^="c-bt"][class*="-gray"] {
    background: #e1e2e7;
    color: #44464e;
    transition: color .4s ease-in-out;
}

[class^="c-bt"][class*="-gray"].active,
[class^="c-bt"][class*="-gray"]:hover {
    color: #fff;
}

[class^="c-bt"][class*="-white"] {
    color: #44464e;
    font-family: 'NotoSansTC';
    background: #fff;
    border: 2px solid #e1e2e7;
    border-radius: 5px;
    transition: border-color .4s ease-in-out, color .4s ease-in-out;
    overflow: hidden;
}

[class^="c-bt"][class*="-white"]::before {
    display: none;
}

[class^="c-bt"][class*="-white"].active,
[class^="c-bt"][class*="-white"]:hover {
    color: #00c8c8;
    border-color: #00c8c8;
}

[class^="c-bt"][class*="-white"].current {
    border: none;
    color: #fff;
    pointer-events: none;
}

[class^="c-bt"][class*="-white"].current::before {
    display: block;
    opacity: 1;
}

/**hover 樣式**/
[class^="c-bt"].active::before,
[class^="c-bt"]:hover::before {
    opacity: 1;
}

/**next 樣式**/
[class^="c-bt"][class*="-next"]::after {
    content: '';
    position: relative;
    display: block;
    width: 6px;
    height: 12px;
    margin: 0 0 0 10px;
    background: url(../../images/common/icon_arrow_next_white.svg) center no-repeat;
    background-size: contain;
    transition: filter .4s ease-in-out;
}

[class^="c-bt"][class*="-white"][class*="-next"]::after {
    filter: brightness(0);
}

[class^="c-bt"][class*="-white"][class*="-next"].active::after,
[class^="c-bt"][class*="-white"][class*="-next"]:hover::after {
    filter: none;
    background-image: url(../../images/common/icon_arrow_next_green.svg);
}

[class^="c-bt"][class*="-white"][class*="-next"].current::after {
    filter: none;
    background-image: url(../../images/common/icon_arrow_next_white.svg);
}

/**prev 樣式**/
[class^="c-bt"][class*="-prev"]::after {
    content: '';
    position: relative;
    display: block;
    width: 6px;
    height: 12px;
    margin: 0 10px 0 0;
    transform: scaleX(-1);
    background: url(../../images/common/icon_arrow_next_white.svg) center no-repeat;
    background-size: contain;
    transition: filter .4s ease-in-out;
    order: -10;
}

[class^="c-bt"][class*="-white"][class*="-prev"]::after {
    filter: brightness(0);
}

[class^="c-bt"][class*="-gray"][class*="-prev"]::after {
    filter: brightness(0);
}

[class^="c-bt"][class*="-gray"][class*="-prev"].active::after,
[class^="c-bt"][class*="-gray"][class*="-prev"]:hover::after {
    filter: brightness(0) invert(1);
}

[class^="c-bt"][class*="-white"][class*="-prev"].active::after,
[class^="c-bt"][class*="-white"][class*="-prev"]:hover::after {
    filter: none;
    background-image: url(../../images/common/icon_arrow_next_green.svg);
}

[class^="c-bt"][class*="-white"][class*="-prev"].current::after {
    filter: none;
    background-image: url(../../images/common/icon_arrow_next_white.svg);
}

/**more 樣式**/
[class^="c-bt"][class*="-more"] {
    padding: 15.5px 20px;
}

/**bottom 樣式**/
[class^="c-bt"][class*="-bottom"]::after {
    content: '';
    position: relative;
    display: block;
    width: 12px;
    height: 6px;
    margin: 0 0 0 10px;
    background: url(../../images/common/icon_arrow_bottom_white.svg) center no-repeat;
    background-size: contain;
}

/**list 樣式**/
[class^="c-bt"][class*="-list"]::after {
    content: '';
    position: relative;
    display: block;
    width: 20px;
    height: 15px;
    margin: 0 10px 0 0;
    background: url(../../images/common/icon_list_white.svg) center no-repeat;
    background-size: contain;
    order: -10;
}

/**pen 樣式**/
[class^="c-bt"][class*="-pen"]::after {
    content: '';
    position: relative;
    display: block;
    width: 15px;
    height: 15px;
    margin: 0 10px 0 0;
    background: url(../../images/common/icon_pen_white.svg) center no-repeat;
    background-size: contain;
    order: -10;
}


/**send 樣式**/
[class^="c-bt"][class*="-send"] {
    justify-items: center;
    justify-content: center;
}

[class^="c-bt"][class*="-send"]::after {
    content: '';
    position: relative;
    display: block;
    width: 17.5px;
    height: 17.5px;
    background: url(../../images/common/icon_send_white.svg) center no-repeat;
    background-size: contain;
    margin: 0 15px 0 0;
    order: -10;
}

/**分享樣式**/
[class^="c-bt"][class*="-share"]::after {
    content: '';
    position: relative;
    display: block;
    width: 18px;
    height: 18px;
    background: url(../../images/common/icon_share_green.svg) center no-repeat;
    background-size: contain;
    margin: 0 15px 0 0;
    order: -10;
}

[class^="c-bt"][class*="-white"][class*="-share"]::after {
    filter: brightness(0);
    transition: filter .4s ease-in-out;
}

[class^="c-bt"][class*="-white"][class*="-share"].active::after,
[class^="c-bt"][class*="-white"][class*="-share"]:hover::after {
    filter: none;
}

/**刪除按鈕 樣式**/
[class^="c-bt"][class*="-del"]::after {
    content: '';
    position: relative;
    display: block;
    width: 15px;
    height: 15px;
    background: url(../../images/common/icon_trash_white.svg) center no-repeat;
    background-size: contain;
}

/**加號按鈕 樣式**/
[class^="c-bt"][class*="-plus"]::after {
    content: '';
    position: relative;
    display: block;
    width: 15px;
    height: 15px;
    margin: 0 10px 0 0;
    background: url(../../images/common/icon_plus_white.svg) center no-repeat;
    background-size: contain;
    order: -10;
}

[class^="c-bt"][class*="-white"][class*="-plus"]::before {
    display: none;
}

[class^="c-bt"][class*="-white"][class*="-plus"]::after {
    background-image: url(../../images/common/icon_plus_black.svg);
}

[class^="c-bt"][class*="-white"][class*="-plus"].active::after,
[class^="c-bt"][class*="-white"][class*="-plus"]:hover::after {
    background-image: url(../../images/common/icon_plus_green.svg);
}

/**加號按鈕 樣式**/

[class^="c-bt"][class*="-plusCircle"] {
    padding: 22.5px 20px;
}

[class^="c-bt"][class*="-plusCircle"]::after {
    content: '';
    position: relative;
    display: block;
    width: 25px;
    height: 25px;
    margin: 0 10px 0 0;
    background: url(../../images/common/icon_plus_green.svg) center no-repeat #fff;
    background-size: 60% auto;
    border-radius: 50%;
    overflow: hidden;
    order: -10;
}

/**對話按鈕 樣式**/
[class^="c-bt"][class*="-talk"]::after {
    content: '';
    position: relative;
    display: block;
    width: 20px;
    height: 17px;
    margin: 0 10px 0 0;
    background: url(../../images/common/icon_talk.svg) center no-repeat;
    background-size: contain;
    order: -10;
}

/**搜尋按鈕 樣式**/
[class^="c-bt"][class*="-search"] {
    padding: 22.5px 20px;
}

[class^="c-bt"][class*="-search"]::after {
    content: '';
    position: relative;
    display: block;
    width: 22.5px;
    height: 22.5px;
    margin: 0 10px 0 0;
    background: url(../../images/common/icon_magnifier_white.svg) center no-repeat;
    background-size: contain;
    order: -10;
}

/**check 樣式**/
[class^="c-bt"][class*="-check"] {
    justify-items: center;
    justify-content: center;
}

[class^="c-bt"][class*="-check"]::after {
    content: '';
    position: relative;
    display: block;
    width: 25px;
    height: 25px;
    background: url(../../images/common/icon_check_green.svg) center no-repeat #fff;
    background-size: 50% auto;
    border-radius: 50%;
    margin: 0 15px 0 0;
    overflow: hidden;
    order: -10;
}

/**sns按鈕樣式**/
[class^="c-bt"][class*="-facebook"],
[class^="c-bt"][class*="-google"],
[class^="c-bt"][class*="-line"] {
    justify-items: center;
    justify-content: center;
    font-size: 16px;
    font-family: 'NotoSansTC';
    padding: 15px 10px;
    transition: opacity .4s ease-in-out;
}

[class^="c-bt"][class*="-facebook"]::before,
[class^="c-bt"][class*="-google"]::before,
[class^="c-bt"][class*="-line"]::before {
    display: none;
}

[class^="c-bt"][class*="-facebook"]::after,
[class^="c-bt"][class*="-google"]::after,
[class^="c-bt"][class*="-line"]::after {
    content: '';
    position: relative;
    width: 30px;
    height: 30px;
    border-radius: 50%;
    margin: 0 10px 0 0;
    overflow: hidden;
    order: -10;
}

[class^="c-bt"][class*="-facebook"]:hover,
[class^="c-bt"][class*="-google"]:hover,
[class^="c-bt"][class*="-line"]:hover {
    opacity: .7;
}

/**facebook 樣式**/
[class^="c-bt"][class*="-facebook"] {
    background: #1877f2;
}

[class^="c-bt"][class*="-facebook"]::after {
    background: url(../../images/common/icon_facebook_white.svg) center no-repeat;
    background-size: contain;
}

/**google 樣式**/
[class^="c-bt"][class*="-google"] {
    background: #ea4335;
}

[class^="c-bt"][class*="-google"]::after {
    background: url(../../images/common/icon_google.svg) center no-repeat #fff;
    background-size: 66.66% auto;
}

/**line 樣式**/
[class^="c-bt"][class*="-line"] {
    background: #00c300
}

[class^="c-bt"][class*="-line"]::after {
    background: url(../../images/common/icon_line_green.svg) center no-repeat #fff;
    background-size: 66.66% auto;
}

/**close 樣式**/
.c-close {
    display: block;
    width: 70px;
    height: 70px;
    background: #16171b;
    cursor: pointer;
    transition: opacity .4s ease-in-out;
    flex: 0 0 auto;
}

.c-close::before,
.c-close::after {
    content: '';
    position: absolute;
    top: calc(50% - 1px);
    left: calc(50% - 12.5px);
    display: block;
    width: 25px;
    height: 2px;
    background: #fff;
    border-radius: 1.5px;
    transform-origin: center;
    overflow: hidden;
}

.c-close::before {
    transform: rotate(45deg);
}

.c-close::after {
    transform: rotate(-45deg);
}

.c-close:hover {
    opacity: .7;
}

@media screen and (max-width: 991px) {}

@media screen and (max-width: 767px) {}

@media screen and (max-width: 575px) {
    [class^="c-bt"] {
        font-size: 15px;
        padding: 16px 15px;
    }

    /**加號按鈕 樣式**/
    [class^="c-bt"][class*="-plusCircle"] {
        padding: 10px;
    }

    [class^="c-bt"][class*="-plusCircle"]::after {
        width: 20px;
        height: 20px;
    }

    /**send 樣式**/
    [class^="c-bt"][class*="-send"] {
        justify-items: center;
        justify-content: center;
        padding: 11px 15px;
    }

    [class^="c-bt"][class*="-send"]::after {
        width: 13px;
        height: 13px;
    }

    /**分享樣式**/
    [class^="c-bt"][class*="-share"]::after {
        width: 15px;
        height: 15px;
        margin: 0 10px 0 0;
    }

    /**搜尋按鈕 樣式**/
    [class^="c-bt"][class*="-search"] {
        padding: 11px 10px;
    }

    [class^="c-bt"][class*="-search"]::after {
        width: 16px;
        height: 16px;
    }

    /**check 樣式**/
    [class^="c-bt"][class*="-check"]::after {
        width: 20px;
        height: 20px;
    }

    /**sns按鈕樣式**/
    [class^="c-bt"][class*="-facebook"],
    [class^="c-bt"][class*="-google"],
    [class^="c-bt"][class*="-line"] {
        font-size: 15px;
        padding: 10px 5px;
    }

    [class^="c-bt"][class*="-facebook"]::after,
    [class^="c-bt"][class*="-google"]::after,
    [class^="c-bt"][class*="-line"]::after {
        width: 20px;
        height: 20px;
        margin: 0 5px 0 0;
    }

    /**close 樣式**/
    .c-close {
        width: 50px;
        height: 50px;
    }
}



/****IOS樣式****/
@supports (-webkit-touch-callout: none) {}